#ifndef HANDDETECT_H
#define HANDDETECT_H

#include <opencv2/imgproc/imgproc.hpp>
#include<opencv2/opencv.hpp>
#include <vector>
#include <string>
//#include "main.h"

using namespace cv;
using namespace std;

class handDetect
{
    public:
        handDetect();
        vector<Rect> hand;
        virtual ~handDetect();
        vector<Rect> haarCascade(Mat frame);
        void detectIfHand();
    protected:
    private:
};

#endif // HANDDETECT_H
